/v1/marketing-qr-codes (POST)
POST
/v1/marketing-qr-codes
const url = 'https://example.com/v1/marketing-qr-codes';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"workspace_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","url":"example","name":"example","expires_at":"example","expired_url":"example","ios_url":"example","android_url":"example","notes":"example","utm_source":"example","utm_medium":"example","utm_campaign":"example","utm_term":"example","utm_content":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/marketing-qr-codes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "workspace_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "url": "example", "name": "example", "expires_at": "example", "expired_url": "example", "ios_url": "example", "android_url": "example", "notes": "example", "utm_source": "example", "utm_medium": "example", "utm_campaign": "example", "utm_term": "example", "utm_content": "example" }'Create a marketing QR code in a workspace. The code is a draft until POST /{id}/publish assigns its short link. You only see workspaces you are a member of.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
workspace_id
required
string format: uuid
url
required
Destination URL the QR code redirects to
string
name
string
expires_at
string
expired_url
string
ios_url
string
android_url
string
notes
string
utm_source
string
utm_medium
string
utm_campaign
string
utm_term
string
utm_content
string
Examplegenerated
{ "workspace_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "url": "example", "name": "example", "expires_at": "example", "expired_url": "example", "ios_url": "example", "android_url": "example", "notes": "example", "utm_source": "example", "utm_medium": "example", "utm_campaign": "example", "utm_term": "example", "utm_content": "example"}Responses
Section titled “ Responses ”The created QR code
Media typeapplication/json
object
id
required
string format: uuid
workspace_id
required
string format: uuid
name
required
string | null
url
required
string | null
short_url
required
string | null
is_published
required
boolean | null
published_at
required
string | null
expires_at
required
string | null
expired_url
required
string | null
ios_url
required
string | null
android_url
required
string | null
notes
required
string | null
utm_source
required
string | null
utm_medium
required
string | null
utm_campaign
required
string | null
utm_term
required
string | null
utm_content
required
string | null
geo_count
required
integer | null
created_at
required
string | null
updated_at
required
string | null
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "workspace_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "url": "example", "short_url": "example", "is_published": true, "published_at": "example", "expires_at": "example", "expired_url": "example", "ios_url": "example", "android_url": "example", "notes": "example", "utm_source": "example", "utm_medium": "example", "utm_campaign": "example", "utm_term": "example", "utm_content": "example", "geo_count": 1, "created_at": "example", "updated_at": "example"}Invalid body
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Missing or invalid bearer token
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Not a member of the workspace
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Upstream error
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}